
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mysqldb-deployment
  labels:
    app: mysqldb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mysqldb
  template:
    metadata:
      labels:
        app: mysqldb
    spec:
      containers:
      - name: mysqldb
        image: mysql
        ports:
        - containerPort: 3306
        env:
        - name: MYSQL_DATABASE
          value: assignment
        - name: MYSQL_ROOT_PASSWORD
          valueFrom: 
            secretKeyRef:
              name: mysqldb-secret
              key: mysql-root-password
        - name: MYSQL_PASSWORD
          valueFrom: 
            secretKeyRef:
              name: mysqldb-secret
              key: mysql-user-password
        - name: MYSQL_USER
          valueFrom: 
            secretKeyRef:
              name: mysqldb-secret
              key: mysql-user
---
apiVersion: v1
kind: Service
metadata:
  name: mysqldb-service
spec:
  selector:
    app: mysqldb
  ports:
    - protocol: TCP
      port: 3306
      targetPort: 3306
